
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 04/20/2013 22:03:28
-- Generated from EDMX file: E:\tfs\EMO_team14\PerConIK\Sln\UserActivity.DB\UserActivity.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [PerConIK_UserActivity];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[FK_ActivityEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events] DROP CONSTRAINT [FK_ActivityEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_WorkstationActivity]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Activities] DROP CONSTRAINT [FK_WorkstationActivity];
GO
IF OBJECT_ID(N'[dbo].[FK_UserActivity]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Activities] DROP CONSTRAINT [FK_UserActivity];
GO
IF OBJECT_ID(N'[dbo].[FK_RunningApplicationsListApplicationState]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[ApplicationStates] DROP CONSTRAINT [FK_RunningApplicationsListApplicationState];
GO
IF OBJECT_ID(N'[dbo].[FK_WindowStateTypeApplicationState]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[ApplicationStates] DROP CONSTRAINT [FK_WindowStateTypeApplicationState];
GO
IF OBJECT_ID(N'[dbo].[FK_ApplicationNameApplicationRun]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[ApplicationRuns] DROP CONSTRAINT [FK_ApplicationNameApplicationRun];
GO
IF OBJECT_ID(N'[dbo].[FK_ApplicationRunApplicationState]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[ApplicationStates] DROP CONSTRAINT [FK_ApplicationRunApplicationState];
GO
IF OBJECT_ID(N'[dbo].[FK_ActivityState]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[States] DROP CONSTRAINT [FK_ActivityState];
GO
IF OBJECT_ID(N'[dbo].[FK_WebUrlWebEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebEvent] DROP CONSTRAINT [FK_WebUrlWebEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_LyncStatusTypeLyncStatusChange]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_LyncStatusChange] DROP CONSTRAINT [FK_LyncStatusTypeLyncStatusChange];
GO
IF OBJECT_ID(N'[dbo].[FK_ApplicationRunApplicationFocusLost]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_ApplicationFocusLost] DROP CONSTRAINT [FK_ApplicationRunApplicationFocusLost];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeSolutionPathIdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeSlnPrjEvent] DROP CONSTRAINT [FK_IdeSolutionPathIdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeProjectNameIdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeSlnPrjEvent] DROP CONSTRAINT [FK_IdeProjectNameIdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeStateTypeIdeStateChange]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeStateChange] DROP CONSTRAINT [FK_IdeStateTypeIdeStateChange];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeDocumentNameIdeDocumentOperation]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeDocumentOperation] DROP CONSTRAINT [FK_IdeDocumentNameIdeDocumentOperation];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeDocumentOperationTypeIdeDocumentOperation]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeDocumentOperation] DROP CONSTRAINT [FK_IdeDocumentOperationTypeIdeDocumentOperation];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeProjectOperationTypeIdeProjectOperation]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeProjectOperation] DROP CONSTRAINT [FK_IdeProjectOperationTypeIdeProjectOperation];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCodeElementEvenntTypeIdeCodeElementEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCodeElementEvent] DROP CONSTRAINT [FK_IdeCodeElementEvenntTypeIdeCodeElementEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCodeElementFullNameIdeCodeElementEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCodeElementEvent] DROP CONSTRAINT [FK_IdeCodeElementFullNameIdeCodeElementEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCodeElementTypeIdeCodeElementEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCodeElementEvent] DROP CONSTRAINT [FK_IdeCodeElementTypeIdeCodeElementEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_RcsServerIdeCheckin]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCheckin] DROP CONSTRAINT [FK_RcsServerIdeCheckin];
GO
IF OBJECT_ID(N'[dbo].[FK_WebNavigationTypeWebNavigate]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebNavigate] DROP CONSTRAINT [FK_WebNavigationTypeWebNavigate];
GO
IF OBJECT_ID(N'[dbo].[FK_WebTabOperationTypeWebTabOperation]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebTabOperation] DROP CONSTRAINT [FK_WebTabOperationTypeWebTabOperation];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteViewTypeOneNoteViewChange]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteViewChange] DROP CONSTRAINT [FK_OneNoteViewTypeOneNoteViewChange];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteNotebookOneNoteNavigate]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteNavigate] DROP CONSTRAINT [FK_OneNoteNotebookOneNoteNavigate];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteSectionOneNoteNavigate]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteNavigate] DROP CONSTRAINT [FK_OneNoteSectionOneNoteNavigate];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteSectionGroupOneNoteNavigate]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteNavigate] DROP CONSTRAINT [FK_OneNoteSectionGroupOneNoteNavigate];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNotePageOneNoteNavigate]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteNavigate] DROP CONSTRAINT [FK_OneNotePageOneNoteNavigate];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCodeOperationTypeIdeCodeOperation]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCodeOperation] DROP CONSTRAINT [FK_IdeCodeOperationTypeIdeCodeOperation];
GO
IF OBJECT_ID(N'[dbo].[FK_CameraStatesListCameraState]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[CameraStates] DROP CONSTRAINT [FK_CameraStatesListCameraState];
GO
IF OBJECT_ID(N'[dbo].[FK_CameraStateFacePoint]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[FacePoints] DROP CONSTRAINT [FK_CameraStateFacePoint];
GO
IF OBJECT_ID(N'[dbo].[FK_CameraStateEmotions]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Emotions] DROP CONSTRAINT [FK_CameraStateEmotions];
GO
IF OBJECT_ID(N'[dbo].[FK_EmotionsRecognitionMethod]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Emotions] DROP CONSTRAINT [FK_EmotionsRecognitionMethod];
GO
IF OBJECT_ID(N'[dbo].[FK_NeutralEmotionalStateUser]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[NeutralEmotionalStates] DROP CONSTRAINT [FK_NeutralEmotionalStateUser];
GO
IF OBJECT_ID(N'[dbo].[FK_CombinedEmotionCameraState]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[CombinedEmotions] DROP CONSTRAINT [FK_CombinedEmotionCameraState];
GO
IF OBJECT_ID(N'[dbo].[FK_CameraStateUser]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[CameraStates] DROP CONSTRAINT [FK_CameraStateUser];
GO
IF OBJECT_ID(N'[dbo].[FK_EmotionSequenceUser]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[EmotionSequence] DROP CONSTRAINT [FK_EmotionSequenceUser];
GO
IF OBJECT_ID(N'[dbo].[FK_RunningApplicationsList_inherits_State]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[States_RunningApplicationsList] DROP CONSTRAINT [FK_RunningApplicationsList_inherits_State];
GO
IF OBJECT_ID(N'[dbo].[FK_WebEvent_inherits_Event]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebEvent] DROP CONSTRAINT [FK_WebEvent_inherits_Event];
GO
IF OBJECT_ID(N'[dbo].[FK_LyncStatusChange_inherits_Event]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_LyncStatusChange] DROP CONSTRAINT [FK_LyncStatusChange_inherits_Event];
GO
IF OBJECT_ID(N'[dbo].[FK_ApplicationFocusLost_inherits_Event]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_ApplicationFocusLost] DROP CONSTRAINT [FK_ApplicationFocusLost_inherits_Event];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeEvent_inherits_Event]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeEvent] DROP CONSTRAINT [FK_IdeEvent_inherits_Event];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeSlnPrjEvent_inherits_IdeEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeSlnPrjEvent] DROP CONSTRAINT [FK_IdeSlnPrjEvent_inherits_IdeEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeStateChange_inherits_IdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeStateChange] DROP CONSTRAINT [FK_IdeStateChange_inherits_IdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeDocumentOperation_inherits_IdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeDocumentOperation] DROP CONSTRAINT [FK_IdeDocumentOperation_inherits_IdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeProjectOperation_inherits_IdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeProjectOperation] DROP CONSTRAINT [FK_IdeProjectOperation_inherits_IdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCodeElementEvent_inherits_IdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCodeElementEvent] DROP CONSTRAINT [FK_IdeCodeElementEvent_inherits_IdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCheckin_inherits_IdeEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCheckin] DROP CONSTRAINT [FK_IdeCheckin_inherits_IdeEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_WebNavigate_inherits_WebEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebNavigate] DROP CONSTRAINT [FK_WebNavigate_inherits_WebEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_WebTabOperation_inherits_WebEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebTabOperation] DROP CONSTRAINT [FK_WebTabOperation_inherits_WebEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteEvent_inherits_Event]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteEvent] DROP CONSTRAINT [FK_OneNoteEvent_inherits_Event];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteViewChange_inherits_OneNoteEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteViewChange] DROP CONSTRAINT [FK_OneNoteViewChange_inherits_OneNoteEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_OneNoteNavigate_inherits_OneNoteEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_OneNoteNavigate] DROP CONSTRAINT [FK_OneNoteNavigate_inherits_OneNoteEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_IdeCodeOperation_inherits_IdeSlnPrjEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_IdeCodeOperation] DROP CONSTRAINT [FK_IdeCodeOperation_inherits_IdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_CameraStatesList_inherits_State]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[States_CameraStatesList] DROP CONSTRAINT [FK_CameraStatesList_inherits_State];
GO
IF OBJECT_ID(N'[dbo].[FK_WebBookmark_inherits_WebEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebBookmark] DROP CONSTRAINT [FK_WebBookmark_inherits_WebEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_WebSaveDocument_inherits_WebEvent]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[Events_WebSaveDocument] DROP CONSTRAINT [FK_WebSaveDocument_inherits_WebEvent];
GO
IF OBJECT_ID(N'[dbo].[FK_HwUsage_inherits_State]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[States_HwUsage] DROP CONSTRAINT [FK_HwUsage_inherits_State];
GO
IF OBJECT_ID(N'[dbo].[FK_KeyboardState_inherits_State]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[States_KeyboardState] DROP CONSTRAINT [FK_KeyboardState_inherits_State];
GO
IF OBJECT_ID(N'[dbo].[FK_MouseState_inherits_State]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[States_MouseState] DROP CONSTRAINT [FK_MouseState_inherits_State];
GO

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[Activities]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Activities];
GO
IF OBJECT_ID(N'[dbo].[Events]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events];
GO
IF OBJECT_ID(N'[dbo].[WebNavigationTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[WebNavigationTypes];
GO
IF OBJECT_ID(N'[dbo].[States]', 'U') IS NOT NULL
    DROP TABLE [dbo].[States];
GO
IF OBJECT_ID(N'[dbo].[Workstations]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Workstations];
GO
IF OBJECT_ID(N'[dbo].[Users]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Users];
GO
IF OBJECT_ID(N'[dbo].[ApplicationStates]', 'U') IS NOT NULL
    DROP TABLE [dbo].[ApplicationStates];
GO
IF OBJECT_ID(N'[dbo].[WindowStateTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[WindowStateTypes];
GO
IF OBJECT_ID(N'[dbo].[ApplicationRuns]', 'U') IS NOT NULL
    DROP TABLE [dbo].[ApplicationRuns];
GO
IF OBJECT_ID(N'[dbo].[ApplicationNames]', 'U') IS NOT NULL
    DROP TABLE [dbo].[ApplicationNames];
GO
IF OBJECT_ID(N'[dbo].[WebUrls]', 'U') IS NOT NULL
    DROP TABLE [dbo].[WebUrls];
GO
IF OBJECT_ID(N'[dbo].[LyncStatusTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[LyncStatusTypes];
GO
IF OBJECT_ID(N'[dbo].[IdeSolutionNames]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeSolutionNames];
GO
IF OBJECT_ID(N'[dbo].[IdeProjectNames]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeProjectNames];
GO
IF OBJECT_ID(N'[dbo].[IdeStateTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeStateTypes];
GO
IF OBJECT_ID(N'[dbo].[IdeDocumentNames]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeDocumentNames];
GO
IF OBJECT_ID(N'[dbo].[IdeDocumentOperationTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeDocumentOperationTypes];
GO
IF OBJECT_ID(N'[dbo].[IdeProjectOperationTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeProjectOperationTypes];
GO
IF OBJECT_ID(N'[dbo].[IdeCodeElementTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeCodeElementTypes];
GO
IF OBJECT_ID(N'[dbo].[IdeCodeElementFullNames]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeCodeElementFullNames];
GO
IF OBJECT_ID(N'[dbo].[IdeCodeElementEventTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeCodeElementEventTypes];
GO
IF OBJECT_ID(N'[dbo].[RcsServers]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RcsServers];
GO
IF OBJECT_ID(N'[dbo].[WebTabOperationTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[WebTabOperationTypes];
GO
IF OBJECT_ID(N'[dbo].[OneNoteViewTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[OneNoteViewTypes];
GO
IF OBJECT_ID(N'[dbo].[OneNotePages]', 'U') IS NOT NULL
    DROP TABLE [dbo].[OneNotePages];
GO
IF OBJECT_ID(N'[dbo].[OneNoteSections]', 'U') IS NOT NULL
    DROP TABLE [dbo].[OneNoteSections];
GO
IF OBJECT_ID(N'[dbo].[OneNoteSectionGroups]', 'U') IS NOT NULL
    DROP TABLE [dbo].[OneNoteSectionGroups];
GO
IF OBJECT_ID(N'[dbo].[OneNoteNotebooks]', 'U') IS NOT NULL
    DROP TABLE [dbo].[OneNoteNotebooks];
GO
IF OBJECT_ID(N'[dbo].[IdeCodeOperationTypes]', 'U') IS NOT NULL
    DROP TABLE [dbo].[IdeCodeOperationTypes];
GO
IF OBJECT_ID(N'[dbo].[FacePoints]', 'U') IS NOT NULL
    DROP TABLE [dbo].[FacePoints];
GO
IF OBJECT_ID(N'[dbo].[CameraStates]', 'U') IS NOT NULL
    DROP TABLE [dbo].[CameraStates];
GO
IF OBJECT_ID(N'[dbo].[Emotions]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Emotions];
GO
IF OBJECT_ID(N'[dbo].[RecognitionMethods]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RecognitionMethods];
GO
IF OBJECT_ID(N'[dbo].[NeutralEmotionalStates]', 'U') IS NOT NULL
    DROP TABLE [dbo].[NeutralEmotionalStates];
GO
IF OBJECT_ID(N'[dbo].[CombinedEmotions]', 'U') IS NOT NULL
    DROP TABLE [dbo].[CombinedEmotions];
GO
IF OBJECT_ID(N'[dbo].[StarterAppStatus]', 'U') IS NOT NULL
    DROP TABLE [dbo].[StarterAppStatus];
GO
IF OBJECT_ID(N'[dbo].[EmotionSequence]', 'U') IS NOT NULL
    DROP TABLE [dbo].[EmotionSequence];
GO
IF OBJECT_ID(N'[dbo].[States_RunningApplicationsList]', 'U') IS NOT NULL
    DROP TABLE [dbo].[States_RunningApplicationsList];
GO
IF OBJECT_ID(N'[dbo].[Events_WebEvent]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_WebEvent];
GO
IF OBJECT_ID(N'[dbo].[Events_LyncStatusChange]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_LyncStatusChange];
GO
IF OBJECT_ID(N'[dbo].[Events_ApplicationFocusLost]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_ApplicationFocusLost];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeEvent]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeEvent];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeSlnPrjEvent]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeSlnPrjEvent];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeStateChange]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeStateChange];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeDocumentOperation]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeDocumentOperation];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeProjectOperation]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeProjectOperation];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeCodeElementEvent]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeCodeElementEvent];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeCheckin]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeCheckin];
GO
IF OBJECT_ID(N'[dbo].[Events_WebNavigate]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_WebNavigate];
GO
IF OBJECT_ID(N'[dbo].[Events_WebTabOperation]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_WebTabOperation];
GO
IF OBJECT_ID(N'[dbo].[Events_OneNoteEvent]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_OneNoteEvent];
GO
IF OBJECT_ID(N'[dbo].[Events_OneNoteViewChange]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_OneNoteViewChange];
GO
IF OBJECT_ID(N'[dbo].[Events_OneNoteNavigate]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_OneNoteNavigate];
GO
IF OBJECT_ID(N'[dbo].[Events_IdeCodeOperation]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_IdeCodeOperation];
GO
IF OBJECT_ID(N'[dbo].[States_CameraStatesList]', 'U') IS NOT NULL
    DROP TABLE [dbo].[States_CameraStatesList];
GO
IF OBJECT_ID(N'[dbo].[Events_WebBookmark]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_WebBookmark];
GO
IF OBJECT_ID(N'[dbo].[Events_WebSaveDocument]', 'U') IS NOT NULL
    DROP TABLE [dbo].[Events_WebSaveDocument];
GO
IF OBJECT_ID(N'[dbo].[States_HwUsage]', 'U') IS NOT NULL
    DROP TABLE [dbo].[States_HwUsage];
GO
IF OBJECT_ID(N'[dbo].[States_KeyboardState]', 'U') IS NOT NULL
    DROP TABLE [dbo].[States_KeyboardState];
GO
IF OBJECT_ID(N'[dbo].[States_MouseState]', 'U') IS NOT NULL
    DROP TABLE [dbo].[States_MouseState];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'Activities'
CREATE TABLE [dbo].[Activities] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [StartTime] datetime  NOT NULL,
    [EndTime] datetime  NOT NULL,
    [ActivityId] uniqueidentifier  NOT NULL,
    [Workstation_Id] int  NOT NULL,
    [User_Id] int  NOT NULL
);
GO

-- Creating table 'Events'
CREATE TABLE [dbo].[Events] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [IsMilestone] bit  NOT NULL,
    [Time] datetime  NOT NULL,
    [Activity_Id] int  NOT NULL
);
GO

-- Creating table 'WebNavigationTypes'
CREATE TABLE [dbo].[WebNavigationTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'States'
CREATE TABLE [dbo].[States] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Activity_Id] int  NOT NULL
);
GO

-- Creating table 'Workstations'
CREATE TABLE [dbo].[Workstations] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'Users'
CREATE TABLE [dbo].[Users] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Login] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'ApplicationStates'
CREATE TABLE [dbo].[ApplicationStates] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [IsResponding] bit  NOT NULL,
    [RunningApplicationsList_Id] int  NOT NULL,
    [WindowState_Id] int  NOT NULL,
    [ApplicationRun_Id] int  NOT NULL
);
GO

-- Creating table 'WindowStateTypes'
CREATE TABLE [dbo].[WindowStateTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'ApplicationRuns'
CREATE TABLE [dbo].[ApplicationRuns] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Pid] int  NOT NULL,
    [RunId] uniqueidentifier  NOT NULL,
    [Hwnd] int  NOT NULL,
    [ApplicationName_Id] int  NOT NULL
);
GO

-- Creating table 'ApplicationNames'
CREATE TABLE [dbo].[ApplicationNames] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'WebUrls'
CREATE TABLE [dbo].[WebUrls] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Url] nvarchar(255)  NOT NULL
);
GO

-- Creating table 'LyncStatusTypes'
CREATE TABLE [dbo].[LyncStatusTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeSolutionNames'
CREATE TABLE [dbo].[IdeSolutionNames] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeProjectNames'
CREATE TABLE [dbo].[IdeProjectNames] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeStateTypes'
CREATE TABLE [dbo].[IdeStateTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeDocumentNames'
CREATE TABLE [dbo].[IdeDocumentNames] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeDocumentOperationTypes'
CREATE TABLE [dbo].[IdeDocumentOperationTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeProjectOperationTypes'
CREATE TABLE [dbo].[IdeProjectOperationTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeCodeElementTypes'
CREATE TABLE [dbo].[IdeCodeElementTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeCodeElementFullNames'
CREATE TABLE [dbo].[IdeCodeElementFullNames] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(255)  NOT NULL
);
GO

-- Creating table 'IdeCodeElementEventTypes'
CREATE TABLE [dbo].[IdeCodeElementEventTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'RcsServers'
CREATE TABLE [dbo].[RcsServers] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Path] nvarchar(255)  NOT NULL
);
GO

-- Creating table 'WebTabOperationTypes'
CREATE TABLE [dbo].[WebTabOperationTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'OneNoteViewTypes'
CREATE TABLE [dbo].[OneNoteViewTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'OneNotePages'
CREATE TABLE [dbo].[OneNotePages] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL,
    [PageId] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'OneNoteSections'
CREATE TABLE [dbo].[OneNoteSections] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL,
    [SectionId] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'OneNoteSectionGroups'
CREATE TABLE [dbo].[OneNoteSectionGroups] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL,
    [SectionGroupId] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'OneNoteNotebooks'
CREATE TABLE [dbo].[OneNoteNotebooks] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL,
    [NotebookId] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'IdeCodeOperationTypes'
CREATE TABLE [dbo].[IdeCodeOperationTypes] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'FacePoints'
CREATE TABLE [dbo].[FacePoints] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [x] int  NOT NULL,
    [y] int  NOT NULL,
    [rx] float  NULL,
    [ry] float  NULL,
    [CameraState_Id] int  NOT NULL
);
GO

-- Creating table 'CameraStates'
CREATE TABLE [dbo].[CameraStates] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [stateTimestamp] datetime  NULL,
    [frameWidth] int  NULL,
    [frameHeight] int  NULL,
    [CameraStatesList_Id] int  NOT NULL,
    [User_Id] int  NOT NULL
);
GO

-- Creating table 'Emotions'
CREATE TABLE [dbo].[Emotions] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [anger] float  NOT NULL,
    [disgust] float  NOT NULL,
    [fear] float  NOT NULL,
    [happiness] float  NOT NULL,
    [sadness] float  NOT NULL,
    [surprise] float  NOT NULL,
    [exhaustion] float  NOT NULL,
    [cam_state_id_Id] int  NULL,
    [method_id_Id] int  NOT NULL
);
GO

-- Creating table 'RecognitionMethods'
CREATE TABLE [dbo].[RecognitionMethods] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(100)  NOT NULL
);
GO

-- Creating table 'NeutralEmotionalStates'
CREATE TABLE [dbo].[NeutralEmotionalStates] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [x_eyes] float  NOT NULL,
    [x_eyebrows] float  NOT NULL,
    [x_lips_corners] float  NOT NULL,
    [y_lips_bottom_top] float  NOT NULL,
    [y_lips_corner_top] float  NOT NULL,
    [y_lips_corner_bottom] float  NOT NULL,
    [y_eye_eyebrow] float  NOT NULL,
    [logTime] datetime  NULL,
    [user_id_Id] int  NOT NULL
);
GO

-- Creating table 'CombinedEmotions'
CREATE TABLE [dbo].[CombinedEmotions] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [first_emotion] nvarchar(max)  NOT NULL,
    [first_probability] float  NOT NULL,
    [second_emotion] nvarchar(max)  NOT NULL,
    [second_probability] float  NOT NULL,
    [third_emotion] nvarchar(max)  NOT NULL,
    [third_probability] float  NOT NULL,
    [CameraState_Id] int  NOT NULL
);
GO

-- Creating table 'StarterAppStatus'
CREATE TABLE [dbo].[StarterAppStatus] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [property] nvarchar(max)  NOT NULL,
    [property_value] int  NOT NULL,
    [timestamp] datetime  NOT NULL
);
GO

-- Creating table 'EmotionSequence'
CREATE TABLE [dbo].[EmotionSequence] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [emotion] nvarchar(max)  NOT NULL,
    [start] datetime  NOT NULL,
    [end] datetime  NOT NULL,
    [finished] bit  NOT NULL,
    [User_Id] int  NOT NULL
);
GO

-- Creating table 'States_RunningApplicationsList'
CREATE TABLE [dbo].[States_RunningApplicationsList] (
    [Id] int  NOT NULL
);
GO

-- Creating table 'Events_WebEvent'
CREATE TABLE [dbo].[Events_WebEvent] (
    [SessionId] int  NOT NULL,
    [Id] int  NOT NULL,
    [Url_Id] int  NOT NULL
);
GO

-- Creating table 'Events_LyncStatusChange'
CREATE TABLE [dbo].[Events_LyncStatusChange] (
    [Id] int  NOT NULL,
    [StatusType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_ApplicationFocusLost'
CREATE TABLE [dbo].[Events_ApplicationFocusLost] (
    [Id] int  NOT NULL,
    [NewApplication_Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeEvent'
CREATE TABLE [dbo].[Events_IdeEvent] (
    [IdePid] int  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeSlnPrjEvent'
CREATE TABLE [dbo].[Events_IdeSlnPrjEvent] (
    [Id] int  NOT NULL,
    [SolutionName_Id] int  NOT NULL,
    [ProjectName_Id] int  NULL
);
GO

-- Creating table 'Events_IdeStateChange'
CREATE TABLE [dbo].[Events_IdeStateChange] (
    [Id] int  NOT NULL,
    [StateType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeDocumentOperation'
CREATE TABLE [dbo].[Events_IdeDocumentOperation] (
    [Id] int  NOT NULL,
    [DocumentName_Id] int  NOT NULL,
    [OperationType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeProjectOperation'
CREATE TABLE [dbo].[Events_IdeProjectOperation] (
    [Id] int  NOT NULL,
    [OperationType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeCodeElementEvent'
CREATE TABLE [dbo].[Events_IdeCodeElementEvent] (
    [Id] int  NOT NULL,
    [EventType_Id] int  NOT NULL,
    [ElementFullName_Id] int  NOT NULL,
    [ElementType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeCheckin'
CREATE TABLE [dbo].[Events_IdeCheckin] (
    [IdInRcs] nvarchar(100)  NOT NULL,
    [Id] int  NOT NULL,
    [RcsServer_Id] int  NOT NULL
);
GO

-- Creating table 'Events_WebNavigate'
CREATE TABLE [dbo].[Events_WebNavigate] (
    [Id] int  NOT NULL,
    [WebNavigationType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_WebTabOperation'
CREATE TABLE [dbo].[Events_WebTabOperation] (
    [Id] int  NOT NULL,
    [OperationType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_OneNoteEvent'
CREATE TABLE [dbo].[Events_OneNoteEvent] (
    [Hwnd] int  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- Creating table 'Events_OneNoteViewChange'
CREATE TABLE [dbo].[Events_OneNoteViewChange] (
    [IsSideNote] bit  NOT NULL,
    [Id] int  NOT NULL,
    [ViewType_Id] int  NOT NULL
);
GO

-- Creating table 'Events_OneNoteNavigate'
CREATE TABLE [dbo].[Events_OneNoteNavigate] (
    [Id] int  NOT NULL,
    [Notebook_Id] int  NOT NULL,
    [Section_Id] int  NOT NULL,
    [SectionGroup_Id] int  NULL,
    [Page_Id] int  NOT NULL
);
GO

-- Creating table 'Events_IdeCodeOperation'
CREATE TABLE [dbo].[Events_IdeCodeOperation] (
    [StartRowIndex] int  NOT NULL,
    [EndRowIndex] int  NOT NULL,
    [Code] nvarchar(max)  NULL,
    [Id] int  NOT NULL,
    [IdeCodeOperationType_Id] int  NOT NULL
);
GO

-- Creating table 'States_CameraStatesList'
CREATE TABLE [dbo].[States_CameraStatesList] (
    [Id] int  NOT NULL
);
GO

-- Creating table 'Events_WebBookmark'
CREATE TABLE [dbo].[Events_WebBookmark] (
    [Name] nvarchar(100)  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- Creating table 'Events_WebSaveDocument'
CREATE TABLE [dbo].[Events_WebSaveDocument] (
    [Name] nvarchar(100)  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- Creating table 'States_HwUsage'
CREATE TABLE [dbo].[States_HwUsage] (
    [AvgCpuUsage] tinyint  NOT NULL,
    [AvgMemUsage] tinyint  NOT NULL,
    [PeakCpuUsage] tinyint  NOT NULL,
    [PeakMemUsage] tinyint  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- Creating table 'States_KeyboardState'
CREATE TABLE [dbo].[States_KeyboardState] (
    [Data] varbinary(max)  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- Creating table 'States_MouseState'
CREATE TABLE [dbo].[States_MouseState] (
    [Data] varbinary(max)  NOT NULL,
    [Id] int  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [Id] in table 'Activities'
ALTER TABLE [dbo].[Activities]
ADD CONSTRAINT [PK_Activities]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events'
ALTER TABLE [dbo].[Events]
ADD CONSTRAINT [PK_Events]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'WebNavigationTypes'
ALTER TABLE [dbo].[WebNavigationTypes]
ADD CONSTRAINT [PK_WebNavigationTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'States'
ALTER TABLE [dbo].[States]
ADD CONSTRAINT [PK_States]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Workstations'
ALTER TABLE [dbo].[Workstations]
ADD CONSTRAINT [PK_Workstations]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Users'
ALTER TABLE [dbo].[Users]
ADD CONSTRAINT [PK_Users]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'ApplicationStates'
ALTER TABLE [dbo].[ApplicationStates]
ADD CONSTRAINT [PK_ApplicationStates]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'WindowStateTypes'
ALTER TABLE [dbo].[WindowStateTypes]
ADD CONSTRAINT [PK_WindowStateTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'ApplicationRuns'
ALTER TABLE [dbo].[ApplicationRuns]
ADD CONSTRAINT [PK_ApplicationRuns]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'ApplicationNames'
ALTER TABLE [dbo].[ApplicationNames]
ADD CONSTRAINT [PK_ApplicationNames]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'WebUrls'
ALTER TABLE [dbo].[WebUrls]
ADD CONSTRAINT [PK_WebUrls]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'LyncStatusTypes'
ALTER TABLE [dbo].[LyncStatusTypes]
ADD CONSTRAINT [PK_LyncStatusTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeSolutionNames'
ALTER TABLE [dbo].[IdeSolutionNames]
ADD CONSTRAINT [PK_IdeSolutionNames]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeProjectNames'
ALTER TABLE [dbo].[IdeProjectNames]
ADD CONSTRAINT [PK_IdeProjectNames]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeStateTypes'
ALTER TABLE [dbo].[IdeStateTypes]
ADD CONSTRAINT [PK_IdeStateTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeDocumentNames'
ALTER TABLE [dbo].[IdeDocumentNames]
ADD CONSTRAINT [PK_IdeDocumentNames]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeDocumentOperationTypes'
ALTER TABLE [dbo].[IdeDocumentOperationTypes]
ADD CONSTRAINT [PK_IdeDocumentOperationTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeProjectOperationTypes'
ALTER TABLE [dbo].[IdeProjectOperationTypes]
ADD CONSTRAINT [PK_IdeProjectOperationTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeCodeElementTypes'
ALTER TABLE [dbo].[IdeCodeElementTypes]
ADD CONSTRAINT [PK_IdeCodeElementTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeCodeElementFullNames'
ALTER TABLE [dbo].[IdeCodeElementFullNames]
ADD CONSTRAINT [PK_IdeCodeElementFullNames]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeCodeElementEventTypes'
ALTER TABLE [dbo].[IdeCodeElementEventTypes]
ADD CONSTRAINT [PK_IdeCodeElementEventTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'RcsServers'
ALTER TABLE [dbo].[RcsServers]
ADD CONSTRAINT [PK_RcsServers]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'WebTabOperationTypes'
ALTER TABLE [dbo].[WebTabOperationTypes]
ADD CONSTRAINT [PK_WebTabOperationTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'OneNoteViewTypes'
ALTER TABLE [dbo].[OneNoteViewTypes]
ADD CONSTRAINT [PK_OneNoteViewTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'OneNotePages'
ALTER TABLE [dbo].[OneNotePages]
ADD CONSTRAINT [PK_OneNotePages]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'OneNoteSections'
ALTER TABLE [dbo].[OneNoteSections]
ADD CONSTRAINT [PK_OneNoteSections]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'OneNoteSectionGroups'
ALTER TABLE [dbo].[OneNoteSectionGroups]
ADD CONSTRAINT [PK_OneNoteSectionGroups]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'OneNoteNotebooks'
ALTER TABLE [dbo].[OneNoteNotebooks]
ADD CONSTRAINT [PK_OneNoteNotebooks]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'IdeCodeOperationTypes'
ALTER TABLE [dbo].[IdeCodeOperationTypes]
ADD CONSTRAINT [PK_IdeCodeOperationTypes]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'FacePoints'
ALTER TABLE [dbo].[FacePoints]
ADD CONSTRAINT [PK_FacePoints]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'CameraStates'
ALTER TABLE [dbo].[CameraStates]
ADD CONSTRAINT [PK_CameraStates]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Emotions'
ALTER TABLE [dbo].[Emotions]
ADD CONSTRAINT [PK_Emotions]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'RecognitionMethods'
ALTER TABLE [dbo].[RecognitionMethods]
ADD CONSTRAINT [PK_RecognitionMethods]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'NeutralEmotionalStates'
ALTER TABLE [dbo].[NeutralEmotionalStates]
ADD CONSTRAINT [PK_NeutralEmotionalStates]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'CombinedEmotions'
ALTER TABLE [dbo].[CombinedEmotions]
ADD CONSTRAINT [PK_CombinedEmotions]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'StarterAppStatus'
ALTER TABLE [dbo].[StarterAppStatus]
ADD CONSTRAINT [PK_StarterAppStatus]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'EmotionSequence'
ALTER TABLE [dbo].[EmotionSequence]
ADD CONSTRAINT [PK_EmotionSequence]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'States_RunningApplicationsList'
ALTER TABLE [dbo].[States_RunningApplicationsList]
ADD CONSTRAINT [PK_States_RunningApplicationsList]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_WebEvent'
ALTER TABLE [dbo].[Events_WebEvent]
ADD CONSTRAINT [PK_Events_WebEvent]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_LyncStatusChange'
ALTER TABLE [dbo].[Events_LyncStatusChange]
ADD CONSTRAINT [PK_Events_LyncStatusChange]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_ApplicationFocusLost'
ALTER TABLE [dbo].[Events_ApplicationFocusLost]
ADD CONSTRAINT [PK_Events_ApplicationFocusLost]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeEvent'
ALTER TABLE [dbo].[Events_IdeEvent]
ADD CONSTRAINT [PK_Events_IdeEvent]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeSlnPrjEvent'
ALTER TABLE [dbo].[Events_IdeSlnPrjEvent]
ADD CONSTRAINT [PK_Events_IdeSlnPrjEvent]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeStateChange'
ALTER TABLE [dbo].[Events_IdeStateChange]
ADD CONSTRAINT [PK_Events_IdeStateChange]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeDocumentOperation'
ALTER TABLE [dbo].[Events_IdeDocumentOperation]
ADD CONSTRAINT [PK_Events_IdeDocumentOperation]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeProjectOperation'
ALTER TABLE [dbo].[Events_IdeProjectOperation]
ADD CONSTRAINT [PK_Events_IdeProjectOperation]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeCodeElementEvent'
ALTER TABLE [dbo].[Events_IdeCodeElementEvent]
ADD CONSTRAINT [PK_Events_IdeCodeElementEvent]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeCheckin'
ALTER TABLE [dbo].[Events_IdeCheckin]
ADD CONSTRAINT [PK_Events_IdeCheckin]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_WebNavigate'
ALTER TABLE [dbo].[Events_WebNavigate]
ADD CONSTRAINT [PK_Events_WebNavigate]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_WebTabOperation'
ALTER TABLE [dbo].[Events_WebTabOperation]
ADD CONSTRAINT [PK_Events_WebTabOperation]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_OneNoteEvent'
ALTER TABLE [dbo].[Events_OneNoteEvent]
ADD CONSTRAINT [PK_Events_OneNoteEvent]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_OneNoteViewChange'
ALTER TABLE [dbo].[Events_OneNoteViewChange]
ADD CONSTRAINT [PK_Events_OneNoteViewChange]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_OneNoteNavigate'
ALTER TABLE [dbo].[Events_OneNoteNavigate]
ADD CONSTRAINT [PK_Events_OneNoteNavigate]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_IdeCodeOperation'
ALTER TABLE [dbo].[Events_IdeCodeOperation]
ADD CONSTRAINT [PK_Events_IdeCodeOperation]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'States_CameraStatesList'
ALTER TABLE [dbo].[States_CameraStatesList]
ADD CONSTRAINT [PK_States_CameraStatesList]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_WebBookmark'
ALTER TABLE [dbo].[Events_WebBookmark]
ADD CONSTRAINT [PK_Events_WebBookmark]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Events_WebSaveDocument'
ALTER TABLE [dbo].[Events_WebSaveDocument]
ADD CONSTRAINT [PK_Events_WebSaveDocument]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'States_HwUsage'
ALTER TABLE [dbo].[States_HwUsage]
ADD CONSTRAINT [PK_States_HwUsage]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'States_KeyboardState'
ALTER TABLE [dbo].[States_KeyboardState]
ADD CONSTRAINT [PK_States_KeyboardState]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'States_MouseState'
ALTER TABLE [dbo].[States_MouseState]
ADD CONSTRAINT [PK_States_MouseState]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [Activity_Id] in table 'Events'
ALTER TABLE [dbo].[Events]
ADD CONSTRAINT [FK_ActivityEvent]
    FOREIGN KEY ([Activity_Id])
    REFERENCES [dbo].[Activities]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ActivityEvent'
CREATE INDEX [IX_FK_ActivityEvent]
ON [dbo].[Events]
    ([Activity_Id]);
GO

-- Creating foreign key on [Workstation_Id] in table 'Activities'
ALTER TABLE [dbo].[Activities]
ADD CONSTRAINT [FK_WorkstationActivity]
    FOREIGN KEY ([Workstation_Id])
    REFERENCES [dbo].[Workstations]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_WorkstationActivity'
CREATE INDEX [IX_FK_WorkstationActivity]
ON [dbo].[Activities]
    ([Workstation_Id]);
GO

-- Creating foreign key on [User_Id] in table 'Activities'
ALTER TABLE [dbo].[Activities]
ADD CONSTRAINT [FK_UserActivity]
    FOREIGN KEY ([User_Id])
    REFERENCES [dbo].[Users]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_UserActivity'
CREATE INDEX [IX_FK_UserActivity]
ON [dbo].[Activities]
    ([User_Id]);
GO

-- Creating foreign key on [RunningApplicationsList_Id] in table 'ApplicationStates'
ALTER TABLE [dbo].[ApplicationStates]
ADD CONSTRAINT [FK_RunningApplicationsListApplicationState]
    FOREIGN KEY ([RunningApplicationsList_Id])
    REFERENCES [dbo].[States_RunningApplicationsList]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_RunningApplicationsListApplicationState'
CREATE INDEX [IX_FK_RunningApplicationsListApplicationState]
ON [dbo].[ApplicationStates]
    ([RunningApplicationsList_Id]);
GO

-- Creating foreign key on [WindowState_Id] in table 'ApplicationStates'
ALTER TABLE [dbo].[ApplicationStates]
ADD CONSTRAINT [FK_WindowStateTypeApplicationState]
    FOREIGN KEY ([WindowState_Id])
    REFERENCES [dbo].[WindowStateTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_WindowStateTypeApplicationState'
CREATE INDEX [IX_FK_WindowStateTypeApplicationState]
ON [dbo].[ApplicationStates]
    ([WindowState_Id]);
GO

-- Creating foreign key on [ApplicationName_Id] in table 'ApplicationRuns'
ALTER TABLE [dbo].[ApplicationRuns]
ADD CONSTRAINT [FK_ApplicationNameApplicationRun]
    FOREIGN KEY ([ApplicationName_Id])
    REFERENCES [dbo].[ApplicationNames]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ApplicationNameApplicationRun'
CREATE INDEX [IX_FK_ApplicationNameApplicationRun]
ON [dbo].[ApplicationRuns]
    ([ApplicationName_Id]);
GO

-- Creating foreign key on [ApplicationRun_Id] in table 'ApplicationStates'
ALTER TABLE [dbo].[ApplicationStates]
ADD CONSTRAINT [FK_ApplicationRunApplicationState]
    FOREIGN KEY ([ApplicationRun_Id])
    REFERENCES [dbo].[ApplicationRuns]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ApplicationRunApplicationState'
CREATE INDEX [IX_FK_ApplicationRunApplicationState]
ON [dbo].[ApplicationStates]
    ([ApplicationRun_Id]);
GO

-- Creating foreign key on [Activity_Id] in table 'States'
ALTER TABLE [dbo].[States]
ADD CONSTRAINT [FK_ActivityState]
    FOREIGN KEY ([Activity_Id])
    REFERENCES [dbo].[Activities]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ActivityState'
CREATE INDEX [IX_FK_ActivityState]
ON [dbo].[States]
    ([Activity_Id]);
GO

-- Creating foreign key on [Url_Id] in table 'Events_WebEvent'
ALTER TABLE [dbo].[Events_WebEvent]
ADD CONSTRAINT [FK_WebUrlWebEvent]
    FOREIGN KEY ([Url_Id])
    REFERENCES [dbo].[WebUrls]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_WebUrlWebEvent'
CREATE INDEX [IX_FK_WebUrlWebEvent]
ON [dbo].[Events_WebEvent]
    ([Url_Id]);
GO

-- Creating foreign key on [StatusType_Id] in table 'Events_LyncStatusChange'
ALTER TABLE [dbo].[Events_LyncStatusChange]
ADD CONSTRAINT [FK_LyncStatusTypeLyncStatusChange]
    FOREIGN KEY ([StatusType_Id])
    REFERENCES [dbo].[LyncStatusTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_LyncStatusTypeLyncStatusChange'
CREATE INDEX [IX_FK_LyncStatusTypeLyncStatusChange]
ON [dbo].[Events_LyncStatusChange]
    ([StatusType_Id]);
GO

-- Creating foreign key on [NewApplication_Id] in table 'Events_ApplicationFocusLost'
ALTER TABLE [dbo].[Events_ApplicationFocusLost]
ADD CONSTRAINT [FK_ApplicationRunApplicationFocusLost]
    FOREIGN KEY ([NewApplication_Id])
    REFERENCES [dbo].[ApplicationRuns]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ApplicationRunApplicationFocusLost'
CREATE INDEX [IX_FK_ApplicationRunApplicationFocusLost]
ON [dbo].[Events_ApplicationFocusLost]
    ([NewApplication_Id]);
GO

-- Creating foreign key on [SolutionName_Id] in table 'Events_IdeSlnPrjEvent'
ALTER TABLE [dbo].[Events_IdeSlnPrjEvent]
ADD CONSTRAINT [FK_IdeSolutionPathIdeSlnPrjEvent]
    FOREIGN KEY ([SolutionName_Id])
    REFERENCES [dbo].[IdeSolutionNames]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeSolutionPathIdeSlnPrjEvent'
CREATE INDEX [IX_FK_IdeSolutionPathIdeSlnPrjEvent]
ON [dbo].[Events_IdeSlnPrjEvent]
    ([SolutionName_Id]);
GO

-- Creating foreign key on [ProjectName_Id] in table 'Events_IdeSlnPrjEvent'
ALTER TABLE [dbo].[Events_IdeSlnPrjEvent]
ADD CONSTRAINT [FK_IdeProjectNameIdeSlnPrjEvent]
    FOREIGN KEY ([ProjectName_Id])
    REFERENCES [dbo].[IdeProjectNames]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeProjectNameIdeSlnPrjEvent'
CREATE INDEX [IX_FK_IdeProjectNameIdeSlnPrjEvent]
ON [dbo].[Events_IdeSlnPrjEvent]
    ([ProjectName_Id]);
GO

-- Creating foreign key on [StateType_Id] in table 'Events_IdeStateChange'
ALTER TABLE [dbo].[Events_IdeStateChange]
ADD CONSTRAINT [FK_IdeStateTypeIdeStateChange]
    FOREIGN KEY ([StateType_Id])
    REFERENCES [dbo].[IdeStateTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeStateTypeIdeStateChange'
CREATE INDEX [IX_FK_IdeStateTypeIdeStateChange]
ON [dbo].[Events_IdeStateChange]
    ([StateType_Id]);
GO

-- Creating foreign key on [DocumentName_Id] in table 'Events_IdeDocumentOperation'
ALTER TABLE [dbo].[Events_IdeDocumentOperation]
ADD CONSTRAINT [FK_IdeDocumentNameIdeDocumentOperation]
    FOREIGN KEY ([DocumentName_Id])
    REFERENCES [dbo].[IdeDocumentNames]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeDocumentNameIdeDocumentOperation'
CREATE INDEX [IX_FK_IdeDocumentNameIdeDocumentOperation]
ON [dbo].[Events_IdeDocumentOperation]
    ([DocumentName_Id]);
GO

-- Creating foreign key on [OperationType_Id] in table 'Events_IdeDocumentOperation'
ALTER TABLE [dbo].[Events_IdeDocumentOperation]
ADD CONSTRAINT [FK_IdeDocumentOperationTypeIdeDocumentOperation]
    FOREIGN KEY ([OperationType_Id])
    REFERENCES [dbo].[IdeDocumentOperationTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeDocumentOperationTypeIdeDocumentOperation'
CREATE INDEX [IX_FK_IdeDocumentOperationTypeIdeDocumentOperation]
ON [dbo].[Events_IdeDocumentOperation]
    ([OperationType_Id]);
GO

-- Creating foreign key on [OperationType_Id] in table 'Events_IdeProjectOperation'
ALTER TABLE [dbo].[Events_IdeProjectOperation]
ADD CONSTRAINT [FK_IdeProjectOperationTypeIdeProjectOperation]
    FOREIGN KEY ([OperationType_Id])
    REFERENCES [dbo].[IdeProjectOperationTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeProjectOperationTypeIdeProjectOperation'
CREATE INDEX [IX_FK_IdeProjectOperationTypeIdeProjectOperation]
ON [dbo].[Events_IdeProjectOperation]
    ([OperationType_Id]);
GO

-- Creating foreign key on [EventType_Id] in table 'Events_IdeCodeElementEvent'
ALTER TABLE [dbo].[Events_IdeCodeElementEvent]
ADD CONSTRAINT [FK_IdeCodeElementEvenntTypeIdeCodeElementEvent]
    FOREIGN KEY ([EventType_Id])
    REFERENCES [dbo].[IdeCodeElementEventTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeCodeElementEvenntTypeIdeCodeElementEvent'
CREATE INDEX [IX_FK_IdeCodeElementEvenntTypeIdeCodeElementEvent]
ON [dbo].[Events_IdeCodeElementEvent]
    ([EventType_Id]);
GO

-- Creating foreign key on [ElementFullName_Id] in table 'Events_IdeCodeElementEvent'
ALTER TABLE [dbo].[Events_IdeCodeElementEvent]
ADD CONSTRAINT [FK_IdeCodeElementFullNameIdeCodeElementEvent]
    FOREIGN KEY ([ElementFullName_Id])
    REFERENCES [dbo].[IdeCodeElementFullNames]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeCodeElementFullNameIdeCodeElementEvent'
CREATE INDEX [IX_FK_IdeCodeElementFullNameIdeCodeElementEvent]
ON [dbo].[Events_IdeCodeElementEvent]
    ([ElementFullName_Id]);
GO

-- Creating foreign key on [ElementType_Id] in table 'Events_IdeCodeElementEvent'
ALTER TABLE [dbo].[Events_IdeCodeElementEvent]
ADD CONSTRAINT [FK_IdeCodeElementTypeIdeCodeElementEvent]
    FOREIGN KEY ([ElementType_Id])
    REFERENCES [dbo].[IdeCodeElementTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeCodeElementTypeIdeCodeElementEvent'
CREATE INDEX [IX_FK_IdeCodeElementTypeIdeCodeElementEvent]
ON [dbo].[Events_IdeCodeElementEvent]
    ([ElementType_Id]);
GO

-- Creating foreign key on [RcsServer_Id] in table 'Events_IdeCheckin'
ALTER TABLE [dbo].[Events_IdeCheckin]
ADD CONSTRAINT [FK_RcsServerIdeCheckin]
    FOREIGN KEY ([RcsServer_Id])
    REFERENCES [dbo].[RcsServers]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_RcsServerIdeCheckin'
CREATE INDEX [IX_FK_RcsServerIdeCheckin]
ON [dbo].[Events_IdeCheckin]
    ([RcsServer_Id]);
GO

-- Creating foreign key on [WebNavigationType_Id] in table 'Events_WebNavigate'
ALTER TABLE [dbo].[Events_WebNavigate]
ADD CONSTRAINT [FK_WebNavigationTypeWebNavigate]
    FOREIGN KEY ([WebNavigationType_Id])
    REFERENCES [dbo].[WebNavigationTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_WebNavigationTypeWebNavigate'
CREATE INDEX [IX_FK_WebNavigationTypeWebNavigate]
ON [dbo].[Events_WebNavigate]
    ([WebNavigationType_Id]);
GO

-- Creating foreign key on [OperationType_Id] in table 'Events_WebTabOperation'
ALTER TABLE [dbo].[Events_WebTabOperation]
ADD CONSTRAINT [FK_WebTabOperationTypeWebTabOperation]
    FOREIGN KEY ([OperationType_Id])
    REFERENCES [dbo].[WebTabOperationTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_WebTabOperationTypeWebTabOperation'
CREATE INDEX [IX_FK_WebTabOperationTypeWebTabOperation]
ON [dbo].[Events_WebTabOperation]
    ([OperationType_Id]);
GO

-- Creating foreign key on [ViewType_Id] in table 'Events_OneNoteViewChange'
ALTER TABLE [dbo].[Events_OneNoteViewChange]
ADD CONSTRAINT [FK_OneNoteViewTypeOneNoteViewChange]
    FOREIGN KEY ([ViewType_Id])
    REFERENCES [dbo].[OneNoteViewTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_OneNoteViewTypeOneNoteViewChange'
CREATE INDEX [IX_FK_OneNoteViewTypeOneNoteViewChange]
ON [dbo].[Events_OneNoteViewChange]
    ([ViewType_Id]);
GO

-- Creating foreign key on [Notebook_Id] in table 'Events_OneNoteNavigate'
ALTER TABLE [dbo].[Events_OneNoteNavigate]
ADD CONSTRAINT [FK_OneNoteNotebookOneNoteNavigate]
    FOREIGN KEY ([Notebook_Id])
    REFERENCES [dbo].[OneNoteNotebooks]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_OneNoteNotebookOneNoteNavigate'
CREATE INDEX [IX_FK_OneNoteNotebookOneNoteNavigate]
ON [dbo].[Events_OneNoteNavigate]
    ([Notebook_Id]);
GO

-- Creating foreign key on [Section_Id] in table 'Events_OneNoteNavigate'
ALTER TABLE [dbo].[Events_OneNoteNavigate]
ADD CONSTRAINT [FK_OneNoteSectionOneNoteNavigate]
    FOREIGN KEY ([Section_Id])
    REFERENCES [dbo].[OneNoteSections]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_OneNoteSectionOneNoteNavigate'
CREATE INDEX [IX_FK_OneNoteSectionOneNoteNavigate]
ON [dbo].[Events_OneNoteNavigate]
    ([Section_Id]);
GO

-- Creating foreign key on [SectionGroup_Id] in table 'Events_OneNoteNavigate'
ALTER TABLE [dbo].[Events_OneNoteNavigate]
ADD CONSTRAINT [FK_OneNoteSectionGroupOneNoteNavigate]
    FOREIGN KEY ([SectionGroup_Id])
    REFERENCES [dbo].[OneNoteSectionGroups]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_OneNoteSectionGroupOneNoteNavigate'
CREATE INDEX [IX_FK_OneNoteSectionGroupOneNoteNavigate]
ON [dbo].[Events_OneNoteNavigate]
    ([SectionGroup_Id]);
GO

-- Creating foreign key on [Page_Id] in table 'Events_OneNoteNavigate'
ALTER TABLE [dbo].[Events_OneNoteNavigate]
ADD CONSTRAINT [FK_OneNotePageOneNoteNavigate]
    FOREIGN KEY ([Page_Id])
    REFERENCES [dbo].[OneNotePages]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_OneNotePageOneNoteNavigate'
CREATE INDEX [IX_FK_OneNotePageOneNoteNavigate]
ON [dbo].[Events_OneNoteNavigate]
    ([Page_Id]);
GO

-- Creating foreign key on [IdeCodeOperationType_Id] in table 'Events_IdeCodeOperation'
ALTER TABLE [dbo].[Events_IdeCodeOperation]
ADD CONSTRAINT [FK_IdeCodeOperationTypeIdeCodeOperation]
    FOREIGN KEY ([IdeCodeOperationType_Id])
    REFERENCES [dbo].[IdeCodeOperationTypes]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_IdeCodeOperationTypeIdeCodeOperation'
CREATE INDEX [IX_FK_IdeCodeOperationTypeIdeCodeOperation]
ON [dbo].[Events_IdeCodeOperation]
    ([IdeCodeOperationType_Id]);
GO

-- Creating foreign key on [CameraStatesList_Id] in table 'CameraStates'
ALTER TABLE [dbo].[CameraStates]
ADD CONSTRAINT [FK_CameraStatesListCameraState]
    FOREIGN KEY ([CameraStatesList_Id])
    REFERENCES [dbo].[States_CameraStatesList]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_CameraStatesListCameraState'
CREATE INDEX [IX_FK_CameraStatesListCameraState]
ON [dbo].[CameraStates]
    ([CameraStatesList_Id]);
GO

-- Creating foreign key on [CameraState_Id] in table 'FacePoints'
ALTER TABLE [dbo].[FacePoints]
ADD CONSTRAINT [FK_CameraStateFacePoint]
    FOREIGN KEY ([CameraState_Id])
    REFERENCES [dbo].[CameraStates]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_CameraStateFacePoint'
CREATE INDEX [IX_FK_CameraStateFacePoint]
ON [dbo].[FacePoints]
    ([CameraState_Id]);
GO

-- Creating foreign key on [cam_state_id_Id] in table 'Emotions'
ALTER TABLE [dbo].[Emotions]
ADD CONSTRAINT [FK_CameraStateEmotions]
    FOREIGN KEY ([cam_state_id_Id])
    REFERENCES [dbo].[CameraStates]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_CameraStateEmotions'
CREATE INDEX [IX_FK_CameraStateEmotions]
ON [dbo].[Emotions]
    ([cam_state_id_Id]);
GO

-- Creating foreign key on [method_id_Id] in table 'Emotions'
ALTER TABLE [dbo].[Emotions]
ADD CONSTRAINT [FK_EmotionsRecognitionMethod]
    FOREIGN KEY ([method_id_Id])
    REFERENCES [dbo].[RecognitionMethods]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_EmotionsRecognitionMethod'
CREATE INDEX [IX_FK_EmotionsRecognitionMethod]
ON [dbo].[Emotions]
    ([method_id_Id]);
GO

-- Creating foreign key on [user_id_Id] in table 'NeutralEmotionalStates'
ALTER TABLE [dbo].[NeutralEmotionalStates]
ADD CONSTRAINT [FK_NeutralEmotionalStateUser]
    FOREIGN KEY ([user_id_Id])
    REFERENCES [dbo].[Users]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_NeutralEmotionalStateUser'
CREATE INDEX [IX_FK_NeutralEmotionalStateUser]
ON [dbo].[NeutralEmotionalStates]
    ([user_id_Id]);
GO

-- Creating foreign key on [CameraState_Id] in table 'CombinedEmotions'
ALTER TABLE [dbo].[CombinedEmotions]
ADD CONSTRAINT [FK_CombinedEmotionCameraState]
    FOREIGN KEY ([CameraState_Id])
    REFERENCES [dbo].[CameraStates]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_CombinedEmotionCameraState'
CREATE INDEX [IX_FK_CombinedEmotionCameraState]
ON [dbo].[CombinedEmotions]
    ([CameraState_Id]);
GO

-- Creating foreign key on [User_Id] in table 'CameraStates'
ALTER TABLE [dbo].[CameraStates]
ADD CONSTRAINT [FK_CameraStateUser]
    FOREIGN KEY ([User_Id])
    REFERENCES [dbo].[Users]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_CameraStateUser'
CREATE INDEX [IX_FK_CameraStateUser]
ON [dbo].[CameraStates]
    ([User_Id]);
GO

-- Creating foreign key on [User_Id] in table 'EmotionSequence'
ALTER TABLE [dbo].[EmotionSequence]
ADD CONSTRAINT [FK_EmotionSequenceUser]
    FOREIGN KEY ([User_Id])
    REFERENCES [dbo].[Users]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_EmotionSequenceUser'
CREATE INDEX [IX_FK_EmotionSequenceUser]
ON [dbo].[EmotionSequence]
    ([User_Id]);
GO

-- Creating foreign key on [Id] in table 'States_RunningApplicationsList'
ALTER TABLE [dbo].[States_RunningApplicationsList]
ADD CONSTRAINT [FK_RunningApplicationsList_inherits_State]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[States]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_WebEvent'
ALTER TABLE [dbo].[Events_WebEvent]
ADD CONSTRAINT [FK_WebEvent_inherits_Event]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_LyncStatusChange'
ALTER TABLE [dbo].[Events_LyncStatusChange]
ADD CONSTRAINT [FK_LyncStatusChange_inherits_Event]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_ApplicationFocusLost'
ALTER TABLE [dbo].[Events_ApplicationFocusLost]
ADD CONSTRAINT [FK_ApplicationFocusLost_inherits_Event]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeEvent'
ALTER TABLE [dbo].[Events_IdeEvent]
ADD CONSTRAINT [FK_IdeEvent_inherits_Event]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeSlnPrjEvent'
ALTER TABLE [dbo].[Events_IdeSlnPrjEvent]
ADD CONSTRAINT [FK_IdeSlnPrjEvent_inherits_IdeEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeStateChange'
ALTER TABLE [dbo].[Events_IdeStateChange]
ADD CONSTRAINT [FK_IdeStateChange_inherits_IdeSlnPrjEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeSlnPrjEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeDocumentOperation'
ALTER TABLE [dbo].[Events_IdeDocumentOperation]
ADD CONSTRAINT [FK_IdeDocumentOperation_inherits_IdeSlnPrjEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeSlnPrjEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeProjectOperation'
ALTER TABLE [dbo].[Events_IdeProjectOperation]
ADD CONSTRAINT [FK_IdeProjectOperation_inherits_IdeSlnPrjEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeSlnPrjEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeCodeElementEvent'
ALTER TABLE [dbo].[Events_IdeCodeElementEvent]
ADD CONSTRAINT [FK_IdeCodeElementEvent_inherits_IdeSlnPrjEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeSlnPrjEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeCheckin'
ALTER TABLE [dbo].[Events_IdeCheckin]
ADD CONSTRAINT [FK_IdeCheckin_inherits_IdeEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_WebNavigate'
ALTER TABLE [dbo].[Events_WebNavigate]
ADD CONSTRAINT [FK_WebNavigate_inherits_WebEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_WebEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_WebTabOperation'
ALTER TABLE [dbo].[Events_WebTabOperation]
ADD CONSTRAINT [FK_WebTabOperation_inherits_WebEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_WebEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_OneNoteEvent'
ALTER TABLE [dbo].[Events_OneNoteEvent]
ADD CONSTRAINT [FK_OneNoteEvent_inherits_Event]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_OneNoteViewChange'
ALTER TABLE [dbo].[Events_OneNoteViewChange]
ADD CONSTRAINT [FK_OneNoteViewChange_inherits_OneNoteEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_OneNoteEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_OneNoteNavigate'
ALTER TABLE [dbo].[Events_OneNoteNavigate]
ADD CONSTRAINT [FK_OneNoteNavigate_inherits_OneNoteEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_OneNoteEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_IdeCodeOperation'
ALTER TABLE [dbo].[Events_IdeCodeOperation]
ADD CONSTRAINT [FK_IdeCodeOperation_inherits_IdeSlnPrjEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_IdeSlnPrjEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'States_CameraStatesList'
ALTER TABLE [dbo].[States_CameraStatesList]
ADD CONSTRAINT [FK_CameraStatesList_inherits_State]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[States]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_WebBookmark'
ALTER TABLE [dbo].[Events_WebBookmark]
ADD CONSTRAINT [FK_WebBookmark_inherits_WebEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_WebEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'Events_WebSaveDocument'
ALTER TABLE [dbo].[Events_WebSaveDocument]
ADD CONSTRAINT [FK_WebSaveDocument_inherits_WebEvent]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[Events_WebEvent]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'States_HwUsage'
ALTER TABLE [dbo].[States_HwUsage]
ADD CONSTRAINT [FK_HwUsage_inherits_State]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[States]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'States_KeyboardState'
ALTER TABLE [dbo].[States_KeyboardState]
ADD CONSTRAINT [FK_KeyboardState_inherits_State]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[States]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Id] in table 'States_MouseState'
ALTER TABLE [dbo].[States_MouseState]
ADD CONSTRAINT [FK_MouseState_inherits_State]
    FOREIGN KEY ([Id])
    REFERENCES [dbo].[States]
        ([Id])
    ON DELETE CASCADE ON UPDATE NO ACTION;
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------